unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, Buttons, ExtCtrls, ShellAPI,
  SysUtils, VersionInfo, FileUtils, Monitor, EventUtils;
type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TButton;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    MeeSoftImage: TImage;
    InfoLabel: TLabel;
    Label1: TLabel;
    Bevel1: TBevel;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ShowAboutBox;

var
  InfoLabelText : string = '';

implementation

{$R *.DFM}

procedure ShowAboutBox;
var
  Strings : TStrings;
begin
  with TAboutBox.Create(Application) do
  try
    Strings:=GetMonitorLog;
    if Assigned(Strings) then
    begin
      InfoLabelText:='--- Debug build ---'#10#13+Strings.Text;
      Strings.Free;
      Width:=300;
      InfoLabel.WordWrap:=False;
    end;

    MeeSoftImage.Hint:=Label2.Hint;
    MeeSoftImage.OnClick:=TLinkExecute.Create(MeeSoftImage).OnClick;

    MakeLinkLabel(Label2);
    MakeLinkLabel(Label4);
    ShowModal;
  finally
    Free;
  end;
end;

procedure TAboutBox.FormShow(Sender: TObject);

  function LeadingZero(I: Integer): string;
  begin
    if I<10 then Result:='0'+IntToStr(I)
    else Result:=IntToStr(I);
  end;

begin
  if VersionStr='' then Version.Caption:=''
  else Version.Caption:=Version.Caption+Format(' %d.%s     %d',[ThisApp.ProductVersion.Major,LeadingZero(ThisApp.ProductVersion.Minor),ThisApp.ProductVersion.Rel]);

  ProductName.Caption:=Application.Title;
  ProgramIcon.Picture.Assign(Application.Icon);

  InfoLabel.Width:=Panel1.Width-2*InfoLabel.Left;
  InfoLabel.Caption:=InfoLabelText;
  if InfoLabelText='' then InfoLabel.Height:=0;
  Panel1.Height:=InfoLabel.BoundsRect.Bottom+MeeSoftImage.Top+1;
  OKButton.Top:=Panel1.BoundsRect.Bottom+MeeSoftImage.Top;
  ClientHeight:=OKButton.BoundsRect.Bottom+Panel1.Top;

  //MeeSoftImage.Picture.Bitmap.PixelFormat:=pf24bit;
  MeeSoftImage.Transparent:=True;
end;

end.

